<template>
  <img alt="Vue logo" src="./assets/logo.png" />
  <h2>Vue.js WebSocket Tutorial yee</h2>
  <button v-on:click="sendMessage('hello')">Send Message</button>
</template>

<script lang="ts">
import { defineComponent, ref, computed } from "vue";

export default defineComponent({
  name: "App",
  setup() {
    console.log("Starting websocket");
    const connection = new WebSocket("ws://localhost:8000/ws/11");

    connection.onopen = event => {
      console.log(event);
      console.log("Successfully connected to the echo websocket server...");
    };

    connection.onmessage = event => {
      console.log(event);
    };

    const sendMessage = (message: string) => {
      connection.send(message);
    };

    return {
      sendMessage
    };
  }
});
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
